ru.bitel.bgbilling.modules.bvcom.common.service

## Interface BVComService

- All Superinterfaces:
    ru.bitel.bgbilling.common.service.PaymentServiceProvider

      public interface BVComService
      extends ru.bitel.bgbilling.common.service.PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransaction(Transaction transaction)`
    `java.util.List<Transaction>` | `getReturnTransactionList()`
    `Transaction` | `getTransaction(int transactionId)`
    `void` | `returnMoney(Transaction transaction)`
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, java.lang.String[] sort, Page page)`
    `void` | `updateTransaction(Transaction transaction)`

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          Transaction getTransaction(int transactionId)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getReturnTransactionList

          java.util.List<Transaction> getReturnTransactionList()
                                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransaction

          void addTransaction(Transaction transaction)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTransaction

          void updateTransaction(Transaction transaction)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### returnMoney

          void returnMoney(Transaction transaction)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`